%define upstream_name    B-C
%define upstream_version 1.57

%define thread_arch -thread-multi
%define arch %(echo %{_arch} | sed -e "s/amd64/x86_64/")
%define full_arch %{arch}-%{_os}%{thread_arch}
%define perl_root %{_prefix}/lib/perl5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    The Perl Compiler C backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Flags) >= 0.150.0
BuildRequires: perl(ExtUtils::Embed) >= 1.250.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Opcodes)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl-devel
# for Testsuite:
BuildRequires: db5-devel
BuildRequires: gdbm-devel
Obsoletes:  perl-B-C-devel

%description
This compiler backend takes Perl source and generates C source code
corresponding to the internal structures that perl uses to run your
program. When the generated C source is compiled and run, it cuts out the
time which perl would have taken to load and parse your program into its
internal semi-compiled form. That means that compiling with this backend
will not help improve the runtime execution speed of your program but may
improve the start-up time. Depending on the environment in which your
program runs this may be either a help or a hindrance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

# (tv) broken:
#%%check
#%%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml NOTES README SIGNATURE STATUS TESTS
%{_mandir}/man3/*
%{perl_vendorarch}/*
%{_bindir}/assemble
%{_bindir}/cc_harness
%{_bindir}/disassemble
%{_bindir}/perlcc
%{_mandir}/man1/assemble.1*
%{_mandir}/man1/disassemble.1*
%{_mandir}/man1/perlcc.1*


%changelog
* Fri Dec 01 2023 tv <tv> 1.570.0-8.mga10
+ Revision: 2012045
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.570.0-7.mga9
+ Revision: 1862850
- Rebuild for Perl 5.36

* Fri Mar 18 2022 umeabot <umeabot> 1.570.0-6.mga9
+ Revision: 1797864
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.570.0-5.mga9
+ Revision: 1727661
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 1.570.0-4.mga8
+ Revision: 1595633
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.570.0-3.mga8
+ Revision: 1529355
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.570.0-2.mga8
+ Revision: 1433353
- rebuild for perl 5.30

* Sat Jun 29 2019 shlomif <shlomif> 1.570.0-1.mga8
+ Revision: 1415441
- update to 1.57

* Fri Sep 21 2018 umeabot <umeabot> 1.550.400-6.mga7
+ Revision: 1292353
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.550.400-5.mga7
+ Revision: 1250295
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.550.400-4.mga7
+ Revision: 1163153
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 1.550.400-3.mga7
+ Revision: 1161543
- new release

* Thu Aug 31 2017 pterjan <pterjan> 1.550.0-3.mga7
+ Revision: 1149451
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 1.550.0-2.mga7
+ Revision: 1129870
- update to 1.55
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat May 14 2016 tv <tv> 1.540.0-10.mga6
+ Revision: 1015487
- use std build macros; prevent commented out macros to break build
- add BRs for testsuite

* Mon Mar 07 2016 tv <tv> 1.540.0-8.mga6
+ Revision: 986924
- Obsoletes perl-B-C-devel

* Sun Mar 06 2016 tv <tv> 1.540.0-7.mga6
+ Revision: 986645
- drop devel subpkg
- drop merged patches
- new release

* Fri Feb 12 2016 umeabot <umeabot> 1.520.0-7.mga6
+ Revision: 956739
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 1.520.0-6.mga6
+ Revision: 846053
- rebuild for soname-ifed perl
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.520.0-4.mga6
+ Revision: 842488
- Some hacks here and there to fix the build
+ tv <tv>
- fixes from git
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.520.0-3.mga5
+ Revision: 742342
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.520.0-2.mga5
+ Revision: 683580
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 tv <tv> 1.520.0-1.mga5
+ Revision: 674071
- new release

* Tue Aug 12 2014 tv <tv> 1.510.0-1.mga5
+ Revision: 662001
- new release
- drop one merged part of patch 0 (the rest is still needed)

* Tue Jul 15 2014 sander85 <sander85> 1.490.0-1.mga5
+ Revision: 652938
- update to 1.49

* Sat Jul 12 2014 tv <tv> 1.480.0-1.mga5
+ Revision: 651447
- fix build
- new release

* Fri Jun 13 2014 tv <tv> 1.470.0-1.mga5
+ Revision: 635924
- new release

* Tue Jun 03 2014 jquelin <jquelin> 1.460.0-2.mga5
+ Revision: 632146
- perl 5.20.0 rebuild

* Sat May 17 2014 tv <tv> 1.460.0-1.mga5
+ Revision: 623166
- new release

* Wed Feb 19 2014 tv <tv> 1.450.0-1.mga5
+ Revision: 594928
- new release

* Thu Jan 16 2014 tv <tv> 1.430.0-1.mga4
+ Revision: 566693
- official release

* Sat Oct 19 2013 umeabot <umeabot> 1.420.90-0.2.mga4
+ Revision: 534440
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.420.90-0.1.mga4
+ Revision: 477877
- more usable snapshot
- more usable snapshot

* Wed May 29 2013 tv <tv> 1.420.1-0.1.mga4
+ Revision: 432682
- use a git snapshot that build with perl-5.18
- rebuild for new perl
+ jquelin <jquelin>
- perl 5.18.0 rebuild

* Tue May 21 2013 tv <tv> 1.420.0-4.mga3
+ Revision: 413584
- patch 0: fix build
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- rebuild for perl 5.16

* Tue Feb 21 2012 kharec <kharec> 1.420.0-2.mga2
+ Revision: 211669
- fix typo in paths
- fix path
- fix typo
- tests on B::C are bad.
- fix paths in %%file
- update to 1.42

* Tue Nov 08 2011 kharec <kharec> 1.360.0-1.mga2
+ Revision: 165231
- imported package perl-B-C

